package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketMap;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketMapMapper")
public interface MarketMapMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketMap record);

    MarketMap selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketMap record);

    List<MarketMap> queryAllMarketMap(MarketMap record);

    List<MarketMap> queryMarketMapByPage(Map<String, Object> parameter);

    int delete(MarketMap record);

    MarketMap queryMarketMap(MarketMap record);

    List<MarketMap> query(MarketMap record);
}

